# idrac_server_config_profile – Export or Import iDRAC Server Configuration Profile (SCP)

New in version 2.8.

- Synopsis

- Requirements

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Export the Server Configuration Profile (SCP) from the iDRAC or Import from a network share or a local file.

## Requirements

The below requirements are needed on the host that executes this module.

- omsdk

- python >= 2.7.5

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

command
-

Choices:
- import
- export ←

If `import`, will perform SCP import operations.
If `export`, will perform SCP export operations.

end_host_power_state
-

Choices:
- On ←
- Off

This option is applicable for `import` command.
If `On`, End host power state is on.
If `Off`, End host power state is off.

export_format
-

Choices:
- JSON
- XML ←

Specify the output file format. This option is applicable for `export` command.

export_use
-

Choices:
- Default ←
- Clone
- Replace

Specify the type of server configuration profile (SCP) to be exported. This option is applicable for `export` command.

idrac_ip string / required |  | iDRAC IP Address.
idrac_password string / required |  | iDRAC user password. aliases: idrac_pwd
idrac_port integer | Default: 443 | iDRAC port.
idrac_user string / required |  | iDRAC username.

job_wait
boolean / required

Choices:
- no
- yes

Whether to wait for job completion or not.

scp_components
-

Choices:
- ALL ←
- IDRAC
- BIOS
- NIC
- RAID

If `ALL`, this module will import all components configurations from SCP file.
If `IDRAC`, this module will import iDRAC configuration from SCP file.
If `BIOS`, this module will import BIOS configuration from SCP file.
If `NIC`, this module will import NIC configuration from SCP file.
If `RAID`, this module will import RAID configuration from SCP file.

scp_file string |  | Server Configuration Profile file name. This option is mandatory for `import` command.
share_name string / required |  | CIFS or NFS Network Share or a local path.
share_password string |  | Network share user password. This option is mandatory for CIFS Network Share. aliases: share_pwd
share_user string |  | Network share user in the format 'user@domain' or 'domain\\user' if user is part of a domain else 'user'. This option is mandatory for CIFS Network Share.

shutdown_type
-

Choices:
- Graceful ←
- Forced
- NoReboot

This option is applicable for `import` command.
If `Graceful`, it gracefully shuts down the server.
If `Forced`, it forcefully shuts down the server.
If `NoReboot`, it does not reboot the server.

## Examples

    ---
    - name: Import Server Configuration Profile from a network share
      idrac_server_config_profile:
        idrac_ip: "192.168.0.1"
        idrac_user: "user_name"
        idrac_password: "user_password"
        command: "import"
        share_name: "192.168.0.2:/share"
        share_user: "share_user_name"
        share_password: "share_user_password"
        scp_file: "scp_filename.xml"
        scp_components: "ALL"
        job_wait: True

    - name: Import Server Configuration Profile from a local path
      idrac_server_config_profile:
        idrac_ip: "192.168.0.1"
        idrac_user: "user_name"
        idrac_password: "user_password"
        command: "import"
        share_name: "/scp_folder"
        share_user: "share_user_name"
        share_password: "share_user_password"
        scp_file: "scp_filename.xml"
        scp_components: "ALL"
        job_wait: True

    - name: Export Server Configuration Profile to a network share
      idrac_server_config_profile:
        idrac_ip: "192.168.0.1"
        idrac_user: "user_name"
        idrac_password: "user_password"
        share_name: "192.168.0.2:/share"
        share_user: "share_user_name"
        share_password: "share_user_password"
        job_wait: False

    - name: Export Server Configuration Profile to a local path
      idrac_server_config_profile:
        idrac_ip: "192.168.0.1"
        idrac_user: "user_name"
        idrac_password: "user_password"
        share_name: "/scp_folder"
        share_user: "share_user_name"
        share_password: "share_user_password"
        job_wait: False

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
msg string | always | Status of the import or export SCP job. Sample: Successfully imported the Server Configuration Profile

scp_status
dictionary

success

SCP operation job and progress details from the iDRAC.
Sample:
{'Id': 'JID_XXXXXXXXX', 'JobState': 'Completed', 'JobType': 'ImportConfiguration', 'Message': 'Successfully imported and applied Server Configuration Profile.', 'MessageArgs': [], 'MessageId': 'XXX123', 'Name': 'Import Configuration', 'PercentComplete': 100, 'StartTime': 'TIME_NOW', 'Status': 'Success', 'TargetSettingsURI': None, 'retval': True}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Jagadeesh N V(@jagadeeshnv)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.